glib-networking-services_2.48.0-1_amd64.deb


Advertisement

Description

glib-networking-services - network-related giomodules for GLib - D-Bus services

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename glib-networking-services_2.48.0-1_amd64.deb
Package name glib-networking-services
Package version 2.48.0
Package release 1
Package architecture amd64
Package type deb
Category libs
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 15.81 KB
Installed size 43.00 KB
This package contains D-Bus services that are used by the GIO network
extensions in glib-networking, for actions that need to be done in a
separate process.

Alternatives

Package Version Architecture Repository
glib-networking-services_2.48.2-1~ubuntu16.04.1_amd64.deb 2.48.2 amd64 Ubuntu Updates Main
glib-networking-services_2.48.2-1~ubuntu16.04.1_i386.deb 2.48.2 i386 Ubuntu Updates Main
glib-networking-services_2.48.0-1_i386.deb 2.48.0 i386 Ubuntu Main
glib-networking-services - - -

Requires

Name Value
glib-networking-common = 2.48.0-1
libc6 >= 2.4
libglib2.0-0 >= 2.46.0
libproxy1v5 >= 0.4.11

Replaces

Name Value
glib-networking << 2.30.1-2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package glib-networking-services_2.48.0-1_amd64.deb
Source Package glib-networking

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install glib-networking-services deb package:
    # sudo apt-get install glib-networking-services

Files

Path
/usr/lib/glib-networking/glib-pacrunner
/usr/share/dbus-1/services/org.gtk.GLib.PACRunner.service
/usr/share/doc/glib-networking-services/NEWS.gz
/usr/share/doc/glib-networking-services/README
/usr/share/doc/glib-networking-services/changelog.Debian.gz
/usr/share/doc/glib-networking-services/copyright

Changelog

2016-03-24 - Andreas Henriksson <andreas@fatal.se>
glib-networking (2.48.0-1) unstable; urgency=medium
* New upstream release.
* Refresh debian/patches/01_connection_test.patch to apply without fuzz.
2015-10-13 - Michael Biebl <biebl@debian.org>
glib-networking (2.46.1-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
* Drop the Build-Conflicts against glib-networking, the test-suite passes
now with that package installed.
2015-09-25 - Iain Lane <laney@debian.org>
glib-networking (2.46.0-1) unstable; urgency=medium
* New upstream release 2.46.0
+ Various minor cleanups and small memory leak fixes
+ Added a new test case for client certificate chain handling
* Bump glib BD to ≥ 2.46, as per configure.ac.
2015-05-01 - Iain Lane <laney@debian.org>
glib-networking (2.45.1-1) experimental; urgency=medium
* Update Vcs-* for experimental.
* New upstream release 2.45.1
+ tls/gnutls: Implement g_tls_client_connection_copy_session_state(), to
allow implementing FTP-over-TLS in gvfs.
* Bump glib BD to ≥ 2.45.1, as per configure.ac.
2015-05-01 - Iain Lane <laney@debian.org>
glib-networking (2.44.0-2) unstable; urgency=medium
* Upload to unstable.
* debian/watch: Update to consider stable releases only.
2015-03-30 - Iain Lane <laney@debian.org>
glib-networking (2.44.0-1) experimental; urgency=medium
* New upstream release 2.44.0
2015-03-19 - Iain Lane <laney@debian.org>
glib-networking (2.43.92-1) experimental; urgency=medium
* New upstream release 2.43.92
+ Fix TLS session caching when using session tickets
2015-03-04 - Iain Lane <laney@debian.org>
glib-networking (2.43.91-1) experimental; urgency=medium
* New upstream release 2.43.91
- tls/gnutls: Removed a workaround for connecting to servers with weak DH
parameters, which was apparently only needed because gnutls was
prioritizing DHE over RSA.
- tls/gnutls: We now require gnutls 3.x again. (In fact, 2.42.1 and 2.43.1
accidentally used a 3.x-only function, so we already required it, we
were just failing to declare that fact.)
- tls/tests: Skip certain tests when running against old gnutls or GLib
releases. (glib-networking 2.43.91 itself does not require GLib 2.43,
but one of the test cases does.)
* Drop glib BD back to 2.42 as per configure.ac; the problematic test is
automatically skipped upstream if necessary now.
* Increase libgnutls28-dev BD to 3.0, as per configure.ac
2014-11-25 - Iain Lane <laney@debian.org>
glib-networking (2.43.1-1) experimental; urgency=medium
* debian/watch: Watch unstable version too, for experimental.
* New upstream release 2.43.1, including changes:
+ The GTlsClientConnection "use-ssl3" property now falls back to TLS 1.0
if SSL 3.0 has been disabled, rather than just failing. Also, we now use
the gnutls %LATEST_RECORD_VERSION option by default (to allow connecting
to certain servers that were incorrectly patched for the POODLE attack),
but also make sure to remove that option in the fallback ("use-ssl3")
mode (to allow connecting to other servers that are differently broken).
+ tls/gnutls: Miscellaneous warning, debugging, and leak fixes.
* Bump glib BD to 2.43 (greater than configure.ac; one test requires this
version).
* Standards-Version → 3.9.6, no changes required.
2014-10-22 - Emilio Pozuelo Monfort <pochu@debian.org>
glib-networking (2.42.0-2) unstable; urgency=medium
* debian/patches/01_connection_test.patch:
+ Disable tls/connection tests. They are racy and so unreliable.
Closes: #762588.
* debian/rules:
+ Set VERBOSE so we get more information when a test fails.

See Also

Package Description
glib-networking_2.48.0-1_amd64.deb network-related giomodules for GLib
glibc-doc-reference_2.19-1_all.deb GNU C Library: Documentation
glibc-doc_2.23-0ubuntu3_all.deb GNU C Library: Documentation
gnome-accessibility-themes_3.18.0-2ubuntu1_all.deb Accessibility themes for the GNOME desktop
gnome-bluetooth_3.18.2-1ubuntu2_amd64.deb GNOME Bluetooth tools
gnome-calculator_3.18.3-0ubuntu1_amd64.deb GNOME desktop calculator
gnome-calendar_3.20.1-1ubuntu1_amd64.deb Calendar application for GNOME
gnome-desktop3-data_3.18.2-1ubuntu1_all.deb Common files for GNOME desktop apps
gnome-disk-utility_3.18.3.1-1ubuntu1_amd64.deb manage and configure disk drives and media
gnome-font-viewer_3.16.2-1build1_amd64.deb font viewer for GNOME
gnome-keyring_3.18.3-0ubuntu2_amd64.deb GNOME keyring services (daemon and tools)
gnome-mahjongg_3.18.0-1_amd64.deb classic Eastern tile game for GNOME
gnome-menus_3.13.3-6ubuntu3_amd64.deb GNOME implementation of the freedesktop menu specification
gnome-mines_3.18.2-2_amd64.deb popular minesweeper puzzle game for GNOME
gnome-orca_3.18.2-1ubuntu3_all.deb Scriptable screen reader
Advertisement
Advertisement